import { jsx } from "react/jsx-runtime";
import { TokenTROY as TokenTROY$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenTROY = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "TROY", "data-name": "TokenTROY", ...props, children: /* @__PURE__ */ jsx(TokenTROY$1, { variant }) });
  }
);
TokenTROY.displayName = "TokenTROY";
Object.assign(TokenTROY, { isGdsIcon: true });
export {
  TokenTROY
};
